/*
	File:		MegaDialog.h

	Contains:	Code to drive our MegaDialog example.

	Version:	Appearance 1.0 SDK

	Copyright:	© 1997 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				Edward Voas

		Other Contact:		7 of 9, Borg Collective

		Technology:			OS Technologies Group

	Writers:

		(edv)	Ed Voas

	Change History (most recent first):

		 <1>	 9/11/97	edv		First checked in.
*/

#pragma once

#include "BaseDialog.h"
#include "MegaPane.h"

class MegaDialog : public BaseDialog
{
	public:
			MegaDialog();
		virtual ~MegaDialog();
	
		virtual void		Idle();
	
	protected:
		virtual void		HandleItemHit( SInt16 item );		

	private:
		void		SwitchPane( SInt16 paneIndex );
		
		MegaPane*	fPane;
};

